// THRDMON.h - include file for VxD THRDMON

#include <vtoolscp.h>

#define DEVICE_CLASS        ThrdmonDevice
#define THRDMON_DeviceID    UNDEFINED_DEVICE_ID
#define THRDMON_Init_Order  UNDEFINED_INIT_ORDER
#define THRDMON_Major       1
#define THRDMON_Minor       0

class ThrdmonDevice : public VDevice
{
public:
    virtual BOOL OnSysDynamicDeviceInit();
    virtual BOOL OnSysDynamicDeviceExit();
       // Monitor thread creation:
    virtual BOOL OnCreateThread(THREADHANDLE hThread);

};

class ThrdmonThread : public VThread
{
public:
    ThrdmonThread(THREADHANDLE hThread);
       // Monitor thread destruction:
    virtual VOID    OnDestroyThread();
    static  DWORD   TotalCount;
};

